%global pypi_name qasync

%bcond_with check

Name:       python-%{pypi_name}
Version:    0.27.1
Release:    %mkrel 2
Summary:    Implementation of the PEP 3156 Event-Loop with Qt
Group:      Development/Python
License:    BSD
URL:        https://pypi.org/project/qasync/
Source0:    %pypi_source
BuildArch:  noarch

%description
qasync allows coroutines to be used in PyQt/PySide applications by providing an
implementation of the PEP 3156 event-loop.

%package -n python3-%{pypi_name}
Summary:        Implementation of the PEP 3156 Event-Loop with Qt
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pyqt5)
Requires:       python3dist(pyqt5)

%description -n python3-%{pypi_name}
qasync allows coroutines to be used in PyQt/PySide applications by providing an
implementation of the PEP 3156 event-loop.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files qasync

%if %{with check}
%check
%{python3} setup.py test
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%doc LICENSE


%changelog
* Fri Dec 27 2024 papoteur <papoteur> 0.27.1-2.mga10
+ Revision: 2130485
- add and use pytest

* Wed Feb 21 2024 daviddavid <daviddavid> 0.27.1-1.mga10
+ Revision: 2042862
- new version: 0.27.1

* Wed Feb 21 2024 daviddavid <daviddavid> 0.23.0-2.mga10
+ Revision: 2042858
- rebuild for py3.12
- switch to pyproject

* Mon Mar 21 2022 guillomovitch <guillomovitch> 0.23.0-1.mga9
+ Revision: 1815486
- imported package python-qasync

